use anyhow::Result;

use ecs::*;
use engine::prelude::*;

fn main() -> Result<()> {
    let mut world_builder = World::builder();

    Engine::new(EngineCreateInfo::default(), &mut world_builder)?;

    world_builder.build().run()
}
